--forbidden
name = "unylchan";

local diff = (difficulty-1)/5+1;

main_weapon = "sfg5000";
--alt_weapon = "sfg5000";
--if difficulty < 1 then alt_weapon = "rocketlauncher"; end
health = 80 / difficulty;

physic = 1;
phys_solid = 0;
phys_bullet_collidable = 1;
phys_max_x_vel = 6/diff;
phys_max_y_vel = 50;
phys_jump_vel = 22;
phys_walk_acc = 4;
mp_count = 1;

FunctionName = "CreatePlayer";

-- &#206;&#239;&#232;&#241;&#224;&#237;&#232;&#229; &#241;&#239;&#240;&#224;&#233;&#242;&#224;

texture = "unyl_sprite";
z = -0.001;

image_width = 1024;
image_height = 2048;
frame_width = 128;
frame_height = 128;
frames_count = 86;

animations = 
{
    { 
        -- &#209;&#242;&#238;&#232;&#242; 
        name = "idle";
        frames = 
        {
            { com = constants.AnimComRealX; param = 45 },
            { com = constants.AnimComRealY; param = 37 },
            { com = constants.AnimComRealW; param = 40 },
            { com = constants.AnimComPushInt; param = 37 },
            { com = constants.AnimComPushInt; param = 3 },
            { com = constants.AnimComMPSet; param = 0 },
            { dur = 100; num = 0; com = constants.AnimComRealH; param = 75 },
            { com = constants.AnimComPushInt; param = 37 },
            { com = constants.AnimComPushInt; param = -2 },
            { com = constants.AnimComMPSet; param = 0 },
            { dur = 100; num = 1 },
            { com = constants.AnimComPushInt; param = 37 },
            { com = constants.AnimComPushInt; param = -5 },
            { com = constants.AnimComMPSet; param = 0 },
            { dur = 100; num = 2 },
            { dur = 100; num = 3 },
            { com = constants.AnimComPushInt; param = 37 },
            { com = constants.AnimComPushInt; param = -2 },
            { com = constants.AnimComMPSet; param = 0 },
            { dur = 100; num = 2 },
            { com = constants.AnimComPushInt; param = 37 },
            { com = constants.AnimComPushInt; param = 3 },
            { com = constants.AnimComMPSet; param = 0 },
            { dur = 100; num = 1 },
            { com = constants.AnimComLoop }    
        }
    },
    { 
        -- &#200;&#228;&#229;&#242; 
        name = "walk";
        frames = 
        {
            { com = constants.AnimComRealX; param = 25 },
            { com = constants.AnimComRealY; param = 30 },
            { com = constants.AnimComRealW; param = 40 },
            { com = constants.AnimComRealH; param = 75 },
            { com = constants.AnimComShootBeh; param = constants.csbFreeShooting },
            { com = constants.AnimComPushInt; param = 2 },
            { com = constants.AnimComJumpIfXSpeedGreater; param = 11 },
            { com = constants.AnimComPushInt; param = -32 },
            { com = constants.AnimComPushInt; param = -58 },
            { com = constants.AnimComCreateObject; txt = "dust-run"; param = 1 },
            { com = constants.AnimComPushInt; param = 38 },
            { com = constants.AnimComPushInt; param = 4 },
            { com = constants.AnimComMPSet; param = 0 },
            { com = constants.AnimComPlaySound; txt = "foot-left" },
            { dur = 100*diff; num = 12 },
            { com = constants.AnimComPushInt; param = 39 },
            { com = constants.AnimComPushInt; param = 2 },
            { com = constants.AnimComMPSet; param = 0 },
            { dur = 100*diff; num = 13 },
            { com = constants.AnimComPushInt; param = 41 },
            { com = constants.AnimComPushInt; param = 1 },
            { com = constants.AnimComMPSet; param = 0 },
            { dur = 100*diff; num = 14 },
            { com = constants.AnimComPushInt; param = 42 },
            { com = constants.AnimComPushInt; param = 1 },
            { com = constants.AnimComMPSet; param = 0 },
            { dur = 100*diff; num = 15 },
            --{ com = constants.AnimComShootBeh; param = constants.csbNoShooting },
            { com = constants.AnimComPushInt; param = 43 },
            { com = constants.AnimComPushInt; param = 3 },
            { com = constants.AnimComMPSet; param = 0 },
            { dur = 100*diff; num = 16 },
            { com = constants.AnimComPushInt; param = 42 },
            { com = constants.AnimComPushInt; param = 4 },
            { com = constants.AnimComMPSet; param = 0 },
            { com = constants.AnimComPlaySound; txt = "foot-right" },
            { dur = 100*diff; num = 17 },
            { com = constants.AnimComPushInt; param = 40 },
            { com = constants.AnimComPushInt; param = 4 },
            { com = constants.AnimComMPSet; param = 0 },
            { dur = 100*diff; num = 18 },
            { com = constants.AnimComPushInt; param = 37 },
            { com = constants.AnimComPushInt; param = 2 },
            { com = constants.AnimComMPSet; param = 0 },
            { dur = 100*diff; num = 19 },
            --{ dur = 100; num = 19 },
            { com = constants.AnimComShootX; param = 36 },
            { com = constants.AnimComPushInt; param = 40 },
            { com = constants.AnimComPushInt; param = 2 },
            { com = constants.AnimComMPSet; param = 0 },
            { dur = 100*diff; num = 10 },
            { com = constants.AnimComPushInt; param = 36 },
            { com = constants.AnimComPushInt; param = 3 },
            { com = constants.AnimComMPSet; param = 0 },
            { dur = 100*diff; num = 11 },
            { com = constants.AnimComJump; param = 9 },
        }
    },

--[[
    { 
        -- &#207;&#240;&#251;&#230;&#238;&#234; 
        name = "jump";
        frames = 
        {
            { com = constants.AnimComRealX; param = 45 },
            { com = constants.AnimComRealY; param = 30 },
            { com = constants.AnimComRealW; param = 40 },
            { com = constants.AnimComPushInt; param = 68 },
            { com = constants.AnimComPushInt; param = 4 },
            { com = constants.AnimComMPSet; param = 0 },
            { com = constants.AnimComPushInt; param = -1; num = 45},
            { com = constants.AnimComJumpIfYSpeedGreater; param = 10},
            { dur = 100; num = 44; com = constants.AnimComRealH; param = 81 },
            { dur = 100; num = 45; com = constants.AnimComRealH; param = 73 },
            { dur = 100; num = 46; com = constants.AnimComRealH; param = 65 },
            { com = constants.AnimComJumpIfYSpeedGreater; param = 13},
            { com = constants.AnimComJump; param = 15 },
            { dur = 0 },
            { com = constants.AnimComSetAnim; txt = "fly" },
            { dur = 100; num = 47; com = constants.AnimComRealH; param = 73 },
            { dur = 100; num = 48; com = constants.AnimComRealH; param = 81 },
            --{ com = constants.AnimComJumpIfYSpeedGreater; param = 13},
            { com = constants.AnimComSetAnim; txt = "jump" }
        }
    },
    { 
        -- &#194; &#239;&#238;&#235;&#229;&#242;&#229; (&#239;&#238;&#241;&#235;&#229; &#224;&#237;&#232;&#236;&#224;&#246;&#232;&#232; jump)
        name = "fly";
        frames = 
        {
            { com = constants.AnimComRealX; param = 45 },
            { com = constants.AnimComRealY; param = 30 },
            { com = constants.AnimComRealW; param = 40 },
            { dur = 100; num = 47; com = constants.AnimComRealH; param = 73 },
            { dur = 100; num = 48; com = constants.AnimComRealH; param = 81 },
            { com = constants.AnimComJumpIfYSpeedGreater; param = 4},
            --{ dur = 100; num = 49; com = constants.AnimComRealH; param = 81 }
        }
    },
--]]
	{ 
		--  
		name = "jump";
		frames = 
		{
			{ com = constants.AnimComRealX; param = 45 },
			{ com = constants.AnimComRealY; param = 30 },
			{ com = constants.AnimComRealW; param = 40 },
			{ com = constants.AnimComPushInt; param = -1; num = 45},
			{ com = constants.AnimComJumpIfYSpeedGreater; param = 10},
			{ dur = 100; num = 45; com = constants.AnimComRealH; param = 81 },
			{ dur = 100; num = 46; com = constants.AnimComRealH; param = 73 },
			{ dur = 100; num = 47; com = constants.AnimComRealH; param = 65 },
			{ com = constants.AnimComJumpIfYSpeedGreater; param = 10},
			{ com = constants.AnimComJump; param = 7 },
			{ dur = 0 },
			{ com = constants.AnimComSetAnim; txt = "fly" },
			{ dur = 100; num = 48; com = constants.AnimComRealH; param = 73 },
			{ dur = 100; num = 49; com = constants.AnimComRealH; param = 81 },
			--{ com = constants.AnimComJumpIfYSpeedGreater; param = 13},
			{ com = constants.AnimComSetAnim; txt = "jump" }
		}
	},
	{ 
		--   (  jump)
		name = "fly";
		frames = 
		{
			{ com = constants.AnimComRealX; param = 45, num = 47 },
			{ com = constants.AnimComRealY; param = 30 },
			{ com = constants.AnimComRealW; param = 40 },
			{ dur = 100; num = 47; com = constants.AnimComRealH; param = 73 },
			{ dur = 100; num = 48; com = constants.AnimComRealH; param = 81 }

		}
	},

    { 
        -- &#209;&#224;&#228;&#232;&#242;&#241;&#255; 
        name = "sit";
        frames = 
        {
            { com = constants.AnimComRealX; param = 45 },
            { com = constants.AnimComRealY; param = 49 },
            { com = constants.AnimComRealW; param = 40 },
            { dur = 100; num = 24; com = constants.AnimComRealH; param = 62 },
        }
     },
    { 
        -- &#207;&#240;&#232;&#231;&#229;&#236;&#235;&#229;&#237;&#232;&#229; 
        name = "land";
        frames = 
        {
            { com = constants.AnimComRealX; param = 50 },
            { com = constants.AnimComRealY; param = 49 },
            { com = constants.AnimComRealW; param = 40 },
	    { com = constants.AnimComPlaySound; txt = "foot-left" },
	    { com = constants.AnimComPlaySound; txt = "foot-right" },
            { com = constants.AnimComPushInt; param = -128 },
            { com = constants.AnimComPushInt; param = -58 },
            { com = constants.AnimComCreateObject; txt = "dust-land"; param = 0 },
            { dur = 100; num = 49; com = constants.AnimComRealH; param = 62 },
            { com = constants.AnimComSetAnim; txt = "idle"} 
        }
    },
    { 
        -- &#211;&#236;&#232;&#240;&#224;&#229;&#242; 
        name = "die";
        frames = 
        {
            { com = constants.AnimComRealX; param = 45 },
            { com = constants.AnimComRealY; param = 36 },
            { com = constants.AnimComRealW; param = 40 },
            { dur = 100; num = 30; com = constants.AnimComRealH; param = 75 },
            { dur = 100; num = 31 },
            { dur = 100; num = 32 },
            { dur = 100; num = 33 },
            { dur = 100; num = 34 },
            { dur = 100; num = 35 },
            { dur = 100; num = 36 },
            { dur = 100; num = 37 },
            { dur = 100; num = 38 },
            { dur = 100; num = 39 },
            { dur = 100; num = 40 },
            { dur = 100; num = 41 },
            { dur = 100; num = 42 },
            { dur = 100; num = 41 },
            { dur = 100; num = 40 },
            { dur = 100; num = 41 },
            { dur = 100; num = 42 },
            { dur = 100; num = 41 },
            { dur = 100; num = 40 }
        }
    },
    { 
        -- &#207;&#240;&#232;&#246;&#229;&#235;&#232;&#226;&#224;&#237;&#232;&#229; &#241;&#242;&#238;&#255; 
        name = "aim";
        frames = 
        {
            { com = constants.AnimComRealX; param = 45 },
            { com = constants.AnimComRealY; param = 36 },
            { com = constants.AnimComRealW; param = 40 },
            { dur = 100; num = 21; com = constants.AnimComRealH; param = 75 }
        }
    },
    { 
        -- &#209;&#242;&#240;&#229;&#235;&#252;&#225;&#224; &#232;&#231; &#241;&#242;&#238;&#255;&#247;&#229;&#227;&#238; &#239;&#238;&#235;&#238;&#230;&#229;&#237;&#232;&#255;
        name = "shoot";
        frames = 
        {
            { com = constants.AnimComRealX; param = 45 },
            { com = constants.AnimComRealY; param = 36 },
            { com = constants.AnimComRealW; param = 40 },
            { com = constants.AnimComRealH; param = 75 },
            { com = constants.AnimComPushInt; param = 40 },
            { com = constants.AnimComPushInt; param = -14 },
            { com = constants.AnimComMPSet; param = 0 },
            { com = constants.AnimComShootDir; param = constants.cgdNone },
            { dur = 100; num = 22; com = constants.AnimComShoot },
	    { com = constants.AnimComPushInt; param = 38 },
            { com = constants.AnimComPushInt; param = -16 },
            { com = constants.AnimComMPSet; param = 0 },
	    { dur = 50; num = 23 },
	    { com = constants.AnimComPushInt; param = 36 },
            { com = constants.AnimComPushInt; param = -18 },
            { com = constants.AnimComMPSet; param = 0 },
	    { dur = 100; num = 20 },
	    { com = constants.AnimComPushInt; param = 33 },
            { com = constants.AnimComPushInt; param = -23 },
            { com = constants.AnimComMPSet; param = 0 },
            { dur = 100; num = 23 },
            --{ dur = 100; num = 21 },
            { com = constants.AnimComSetAnim; txt = "aim" }
        }
    },
    { 
        -- &#209;&#242;&#240;&#229;&#235;&#252;&#225;&#224; &#241;&#232;&#228;&#255;
        name = "sitshoot";
        frames = 
        {
            { com = constants.AnimComRealX; param = 45 },
            { com = constants.AnimComRealY; param = 49 },
            { com = constants.AnimComRealW; param = 40 },
            { com = constants.AnimComRealH; param = 62 },
            { com = constants.AnimComPushInt; param = 49 },
            { com = constants.AnimComPushInt; param = -4 },
            { com = constants.AnimComMPSet; param = 0 },
            { com = constants.AnimComShootDir; param = constants.cgdNone },
            { dur = 100; num = 25; com = constants.AnimComShoot },
            { dur = 100; num = 26 }
        }
    },
    {
        name = "pain";
        frames =
        {
	    { com = constants.AnimComPop },
            { com = constants.AnimComReduceHealth },
            { com = constants.AnimComRealX; param = 45 },
            { com = constants.AnimComRealY; param = 36 },
            { com = constants.AnimComRealW; param = 40 },
            { dur = 100; num = 28; com = constants.AnimComRealH; param = 75 },
            { dur = 100; num = 29 },
            { dur = 100; num = 28 },
            { com = constants.AnimComRecover }
        }
    },
    { 
        -- &#209;&#242;&#240;&#229;&#235;&#252;&#225;&#224; &#226; &#239;&#240;&#251;&#230;&#234;&#229;
        name = "jumpshoot";
        frames = 
        {
            { com = constants.AnimComRealX; param = 45 },
            { com = constants.AnimComRealY; param = 30 },
            { com = constants.AnimComRealW; param = 40 },
            { com = constants.AnimComRealH; param = 73 },
            { com = constants.AnimComPushInt; param = 47 },
            { com = constants.AnimComPushInt; param = 21 },
            { com = constants.AnimComMPSet; param = 0 },
            { com = constants.AnimComShootDir; param = constants.cgdNone },
            { dur = 100; num = 47; com = constants.AnimComShoot },
            { com = constants.AnimComSetAnim; txt = "fly" }
        }
    },
    { 
        -- &#207;&#240;&#232;&#246;&#229;&#235;&#232;&#226;&#224;&#237;&#232;&#229; &#226;&#226;&#229;&#240;&#245;
        name = "gunaimup";
        frames = 
        {
            { com = constants.AnimComRealX; param = 45 },
            { com = constants.AnimComRealY; param = 36 },
            { com = constants.AnimComRealW; param = 40 },
            { dur = 100; num = 51; com = constants.AnimComRealH; param = 75 }
        }
    },
    { 
        -- &#207;&#238;&#228;&#237;&#255;&#242;&#232;&#229; &#239;&#243;&#248;&#234;&#232; &#226;&#226;&#229;&#240;&#245;
        name = "gunliftaimup";
        frames = 
        {
            { com = constants.AnimComRealX; param = 45 },
            { com = constants.AnimComRealY; param = 36 },
            { com = constants.AnimComRealW; param = 40 },
            { dur = 100; num = 50; com = constants.AnimComRealH; param = 75 },
            { dur = 100; num = 51 },
            { com = constants.AnimComSetAnim; txt = "gunaimup" }
        }
    },
    { 
        -- &#209;&#242;&#240;&#229;&#235;&#252;&#225;&#224; &#232;&#231; &#239;&#238;&#228;&#237;&#255;&#242;&#238;&#233; &#226;&#226;&#229;&#240;&#245; &#239;&#243;&#248;&#234;&#232; (&#241;&#242;&#238;&#255;)
        name = "gunaimupshoot";
        frames = 
        {
            { com = constants.AnimComRealX; param = 45 },
            { com = constants.AnimComRealY; param = 36 },
            { com = constants.AnimComRealW; param = 40 },
            { com = constants.AnimComRealH; param = 75 },
            { com = constants.AnimComPushInt; param = 27 },
            { com = constants.AnimComPushInt; param = -40 },
            { com = constants.AnimComMPSet; param = 0 },
            { com = constants.AnimComShootDir; param = constants.cgdUp },
            { dur = 100; num = 51; com = constants.AnimComShoot },
            { dur = 100; num = 53 },
            { com = constants.AnimComPushInt; param = 25 },
            { com = constants.AnimComPushInt; param = -42 },
            { com = constants.AnimComMPSet; param = 0 },
            { com = constants.AnimComSetAnim; txt = "gunaimup" }
        }
    },
    { 
        -- &#213;&#238;&#228;&#252;&#225;&#224; &#241; &#239;&#238;&#228;&#237;&#255;&#242;&#238;&#233; &#226;&#226;&#229;&#240;&#245; &#239;&#243;&#248;&#234;&#238;&#233;
        name = "walkgunaimup";
        frames = 
        {
            { com = constants.AnimComRealX; param = 37 },
            { com = constants.AnimComRealY; param = 30 },
            { com = constants.AnimComRealW; param = 45 },
            { com = constants.AnimComRealH; param = 75 },
            { com = constants.AnimComShootBeh; param = constants.csbFreeShooting },
            { com = constants.AnimComPushInt; param = 35 },
            { com = constants.AnimComPushInt; param = -44 },
            { com = constants.AnimComMPSet; param = 0 },
            { dur = 100; num = 60 },
            { dur = 100; num = 61 },
            { com = constants.AnimComPushInt; param = 35 },
            { com = constants.AnimComPushInt; param = -42 },
            { com = constants.AnimComMPSet; param = 0 },
            { dur = 100; num = 62 },
            { com = constants.AnimComPushInt; param = 35 },
            { com = constants.AnimComPushInt; param = -44 },
            { com = constants.AnimComMPSet; param = 0 },
            { dur = 100; num = 63 },
            { dur = 100; num = 64 },
            { com = constants.AnimComPushInt; param = 29 },
            { com = constants.AnimComPushInt; param = -44 },
            { com = constants.AnimComMPSet; param = 0 },
            { dur = 100; num = 65 },
            { com = constants.AnimComPushInt; param = 34 },
            { com = constants.AnimComPushInt; param = -44 },
            { com = constants.AnimComMPSet; param = 0 },
            { dur = 100; num = 66 },
            { com = constants.AnimComPushInt; param = 34 },
            { com = constants.AnimComPushInt; param = -42 },
            { com = constants.AnimComMPSet; param = 0 },
            { dur = 100; num = 67; com = constants.AnimComShootY },
            { com = constants.AnimComPushInt; param = 34 },
            { com = constants.AnimComPushInt; param = -40 },
            { com = constants.AnimComMPSet; param = 0 },
            { dur = 100; num = 68 },
            { dur = 100; num = 69 },
            { com = constants.AnimComLoop }    
        }
    },
    { 
        -- &#207;&#240;&#232;&#246;&#229;&#235;&#232;&#226;&#224;&#237;&#232;&#229; &#226;&#237;&#232;&#231;
        name = "gunaimdown";
        frames = 
        {
            { com = constants.AnimComRealX; param = 45 },
            { com = constants.AnimComRealY; param = 36 },
            { com = constants.AnimComRealW; param = 40 },
            { dur = 100; num = 81; com = constants.AnimComRealH; param = 75 }
        }
    },
    { 
        -- &#206;&#239;&#243;&#241;&#234;&#224;&#237;&#232;&#229; &#239;&#243;&#248;&#234;&#232; &#226;&#237;&#232;&#231;
        name = "gunliftaimdown";
        frames = 
        {
            { com = constants.AnimComRealX; param = 45 },
            { com = constants.AnimComRealY; param = 36 },
            { com = constants.AnimComRealW; param = 40 },
            { dur = 100; num = 80; com = constants.AnimComRealH; param = 75 },
            --{ dur = 100; num = 81 },
            { com = constants.AnimComSetAnim; txt = "gunaimdown" }
        }
    },
    { 

        --&#209;&#242;&#240;&#229;&#235;&#252;&#225;&#224; &#232;&#231; &#238;&#239;&#243;&#249;&#229;&#237;&#237;&#238;&#233; &#226;&#237;&#232;&#231; &#239;&#243;&#248;&#234;&#232; (&#241;&#242;&#238;&#255;)
        name = "gunaimdownshoot";
        frames = 
        {
            { com = constants.AnimComRealX; param = 45 },
            { com = constants.AnimComRealY; param = 36 },
            { com = constants.AnimComRealW; param = 40 },
            { com = constants.AnimComRealH; param = 75 },
            { com = constants.AnimComPushInt; param = 32 },
            { com = constants.AnimComPushInt; param = 22 },
            { com = constants.AnimComMPSet; param = 0 },
            { com = constants.AnimComShootDir; param = constants.cgdDown },
            { dur = 100; num = 82; com = constants.AnimComShoot },
            --{ dur = 100; num = 81 },
            { com = constants.AnimComSetAnim; txt = "gunaimdown" }
        }
    },
    { 
        -- &#213;&#238;&#228;&#252;&#225;&#224; &#241; &#238;&#239;&#243;&#249;&#229;&#237;&#237;&#238;&#233; &#226;&#237;&#232;&#231; &#239;&#243;&#248;&#234;&#238;&#233;
        name = "walkgunaimdown";
        frames = 
        {
            { com = constants.AnimComRealX; param = 40 },
            { com = constants.AnimComRealY; param = 30 },
            { com = constants.AnimComRealW; param = 45 },
            { com = constants.AnimComRealH; param = 75 },
            { com = constants.AnimComShootBeh; param = constants.csbFreeShooting },
            { com = constants.AnimComPushInt; param = 36 },
            { com = constants.AnimComPushInt; param = 20 },
            { com = constants.AnimComMPSet; param = 0 },
            { dur = 100; num = 70 },
            { com = constants.AnimComPushInt; param = 36 },
            { com = constants.AnimComPushInt; param = 23 },
            { com = constants.AnimComMPSet; param = 0 },
            { dur = 100; num = 71 },
            { dur = 100; num = 72 },
            { dur = 100; num = 73 },
            { dur = 100; num = 74 },
            { com = constants.AnimComPushInt; param = 36 },
            { com = constants.AnimComPushInt; param = 26 },
            { com = constants.AnimComMPSet; param = 0 },
            { dur = 100; num = 75 },
            { dur = 100; num = 76 },
            { dur = 100; num = 77 },
            { dur = 100; num = 78 },
            { com = constants.AnimComPushInt; param = 36 },
            { com = constants.AnimComPushInt; param = 21 },
            { com = constants.AnimComMPSet; param = 0 },
            { dur = 100; num = 79},
            { com = constants.AnimComLoop }    
        }
    },
    { 
        --&#207;&#240;&#232;&#246;&#229;&#235;&#232;&#226;&#224;&#237;&#232;&#229; &#226;&#226;&#229;&#240;&#245; (&#226; &#239;&#240;&#251;&#230;&#234;&#229;)
        name = "jumpgunaimup";
        frames = 
        {
            { com = constants.AnimComRealX; param = 41 },
            { com = constants.AnimComRealY; param = 14 },
            { com = constants.AnimComRealW; param = 40 },
            { dur = 100; num = 85; com = constants.AnimComRealH; param = 62 }
        }
    },
    { 
        --&#207;&#238;&#228;&#237;&#255;&#242;&#232;&#229; &#239;&#243;&#248;&#234;&#232; &#226;&#226;&#229;&#240;&#245; (&#226; &#239;&#240;&#251;&#230;&#234;&#229;)
        name = "jumpgunliftaimup";
        frames = 
        {
            --{ com = constants.AnimComRealX; param = 41 },
            --{ com = constants.AnimComRealY; param = 14 },
            --{ com = constants.AnimComRealW; param = 40 },
            --{ dur = 100; num = 84; com = constants.AnimComRealH; param = 62 },
            --{ dur = 100; num = 85 },
            { com = constants.AnimComSetAnim; txt = "jumpgunaimup" }
        }
    },
    { 
        --&#209;&#242;&#240;&#229;&#235;&#252;&#225;&#224; &#232;&#231; &#239;&#238;&#228;&#237;&#255;&#242;&#238;&#233; &#226;&#226;&#229;&#240;&#245; &#239;&#243;&#248;&#234;&#232; (&#226; &#239;&#240;&#251;&#230;&#234;&#229;)
        name = "jumpgunaimupshoot";
        frames = 
        {
            { com = constants.AnimComRealX; param = 41 },
            { com = constants.AnimComRealY; param = 14 },
            { com = constants.AnimComRealW; param = 40 },
            { com = constants.AnimComRealH; param = 62 },
            { com = constants.AnimComPushInt; param = 37 },
            { com = constants.AnimComPushInt; param = -5 },
            { com = constants.AnimComMPSet; param = 0 },
            { com = constants.AnimComShootDir; param = constants.cgdUp },
            { dur = 100; num = 86; com = constants.AnimComShoot },
            --{ dur = 100; num = 85 },
            { com = constants.AnimComSetAnim; txt = "jumpgunaimup" }
        }
     },
    { 
        --&#207;&#240;&#232;&#246;&#229;&#235;&#232;&#226;&#224;&#237;&#232;&#229; &#226;&#237;&#232;&#231; (&#226; &#239;&#240;&#251;&#230;&#234;&#229;)
        name = "jumpgunaimdown";
        frames = 
        {
            { com = constants.AnimComRealX; param = 41 },
            { com = constants.AnimComRealY; param = 14 },
            { com = constants.AnimComRealW; param = 40 },
            { dur = 100; num = 56; com = constants.AnimComRealH; param = 62 }
        }
    },
    { 
        --&#206;&#239;&#243;&#241;&#234;&#224;&#237;&#232;&#229; &#239;&#243;&#248;&#234;&#232; &#226;&#237;&#232;&#231; (&#226; &#239;&#240;&#251;&#230;&#234;&#229;)
        name = "jumpgunliftaimdown";
        frames = 
        {
            --{ com = constants.AnimComRealX; param = 41 },
            --{ com = constants.AnimComRealY; param = 14 },
            --{ com = constants.AnimComRealW; param = 40 },
            --{ dur = 100; num = 55; com = constants.AnimComRealH; param = 62 },
            --{ dur = 100; num = 56 },
            { com = constants.AnimComSetAnim; txt = "jumpgunaimdown" }
        }
    },
    { 
       -- &#209;&#242;&#240;&#229;&#235;&#252;&#225;&#224; &#232;&#231; &#238;&#239;&#243;&#249;&#229;&#237;&#237;&#238;&#233; &#226;&#237;&#232;&#231; &#239;&#243;&#248;&#234;&#232; (&#226; &#239;&#240;&#251;&#230;&#234;&#229;)
        name = "jumpgunaimdownshoot";
        frames = 
        {
            { com = constants.AnimComRealX; param = 41 },
            { com = constants.AnimComRealY; param = 14 },
            { com = constants.AnimComRealW; param = 40 },
            { com = constants.AnimComRealH; param = 62 },
            { com = constants.AnimComPushInt; param = 37 },
            { com = constants.AnimComPushInt; param = 47 },
            { com = constants.AnimComMPSet; param = 0 },
            { com = constants.AnimComShootDir; param = constants.cgdDown },
            { dur = 100; num = 57; com = constants.AnimComShoot },
            --{ dur = 100; num = 56 },
            { com = constants.AnimComSetAnim; txt = "jumpgunaimdown" }
        }
    },
        { 
        -- &#206;&#241;&#242;&#224;&#237;&#238;&#226;&#234;&#224; &#239;&#238;&#241;&#235;&#229; &#225;&#229;&#227;&#224; &#232;&#235;&#232; &#239;&#238;&#226;&#238;&#240;&#238;&#242;.
        name = "stop";
        frames = 
        {
            { com = constants.AnimComRealX; param = 39 },
            { com = constants.AnimComRealY; param = 38 },
            { com = constants.AnimComRealW; param = 68 },
            { com = constants.AnimComRealH; param = 74 },
	    { com = constants.AnimComPlaySound; txt = "stop" },
            { com = constants.AnimComPushInt; param = 37 },
            { com = constants.AnimComPushInt; param = -28 },
            { com = constants.AnimComCreateObject; txt = "dust-stop"; param = 7 },
            { dur = 100; num = 7 },
            { com = constants.AnimComSetAnim; txt = "idle" }
        }
    },
   	{
  		-- ,      . 
		name = "sitaimup";
		frames = 
		{
			{ com = constants.AnimComRealX; param = 45 },
			{ com = constants.AnimComRealY; param = 49 },
			{ com = constants.AnimComRealW; param = 40 },
			{ com = constants.AnimComPushInt; param = 24 },
			{ com = constants.AnimComPushInt; param = -28 },
			{ com = constants.AnimComMPSet; param = 0 },
			{ dur = 100; num = 88; com = constants.AnimComRealH; param = 62 }
		}
	},
	{ 
		name = "sitaimdown";
		frames = 
		{
			{ com = constants.AnimComRealX; param = 45 },
			{ com = constants.AnimComRealY; param = 49 },
			{ com = constants.AnimComRealW; param = 40 },
			{ com = constants.AnimComPushInt; param = 24 },
			{ com = constants.AnimComPushInt; param = 22 },
			{ com = constants.AnimComMPSet; param = 0 },
			{ dur = 100; num = 91; com = constants.AnimComRealH; param = 62 }
		}
	},

	
	{ 
		name = "situpshoot";
		frames = 
		{
			{ com = constants.AnimComRealX; param = 45 },
			{ com = constants.AnimComRealY; param = 49 },
			{ com = constants.AnimComRealW; param = 40 },
			{ com = constants.AnimComRealH; param = 65 },
			{ com = constants.AnimComPushInt; param = 24 },
			{ com = constants.AnimComPushInt; param = -28 },
			{ com = constants.AnimComMPSet; param = 0 },
			{ com = constants.AnimComShootDir; param = constants.cgdUp },
			{ dur = 50; num = 88; com = constants.AnimComShoot },
			{ com = constants.AnimComPushInt; param = 19 },
			{ com = constants.AnimComPushInt; param = -43 },
			{ com = constants.AnimComMPSet; param = 0 },
			{ dur = 100; num = 89 },
			{ com = constants.AnimComSetAnim; txt = "sitaimup" }
		}
	},
	{ 
		name = "sitdownshoot";
		frames = 
		{
			{ com = constants.AnimComRealX; param = 45 },
			{ com = constants.AnimComRealY; param = 49 },
			{ com = constants.AnimComRealW; param = 40 },
			{ com = constants.AnimComRealH; param = 65 },
			{ com = constants.AnimComPushInt; param = 24 },
			{ com = constants.AnimComPushInt; param = 22 },
			{ com = constants.AnimComMPSet; param = 0 },
			{ com = constants.AnimComShootDir; param = constants.cgdDown },
			{ dur = 50; num = 91; com = constants.AnimComShoot },
			{ com = constants.AnimComSetAnim; txt = "sitaimdown" }
		}
	}
}
