MainMenu = {}
-----------------------------------------------

function showSnd(vol)
	local ii
	local blocknum = math.floor(vol/0.1)
	for ii=1,blocknum do
		MainMenu.oc:setVisible(sndblocks[ii], true, true)
	end
	for ii=blocknum+1,9 do
		MainMenu.oc:setVisible(sndblocks[ii], false, true)
	end

end

function btnSndRC(sender)
	local vol = GetMasterSoundVolume() + 0.1
	if vol > 1.0 then 
		vol = 1.0
	end
	showSnd(vol)
	SetMasterSoundVolume(vol)
end

function btnSndLC(sender)
	local vol = GetMasterSoundVolume() - 0.1
	if vol < 0.0 then 
		vol = 0.0
	end
	showSnd(vol)
	SetMasterSoundVolume(vol)
end

function ConfigButtonCreate(button, x1, y1, x2, y2, caption)
	--Log(">>>> " .. caption .. " : " .. button)
	local wp = CreateWidget(constants.wt_Picture, "pointer", nil, x1-20, y1-5, 10, 10)
	WidgetSetSprite(wp, "wakaba-widget")
	WidgetSetAnim(wp, "idle")
	WidgetSetVisible(wp, false)
	local widget = CreateWidget(constants.wt_Button, button, nil, x1, y1, x2, y2)
	WidgetSetVisible(widget, false)
	WidgetSetCaption(widget, caption.." : "..GetKeyName(GetField(CONFIG, button)))
	WidgetSetCaptionColor(widget, {1.0, 1.0, 1.0, 1.0}, false)
	WidgetSetCaptionColor(widget, {0.2, 1.0, 0.2, 1.0}, true)
	WidgetSetCaptionFont(widget, "default")
	local para = {}
	para.button = button
	para.caption = caption
	MainMenu.oc:add(widget, wp, true, nil, nil, setButt, para )
end

function setButt(sender, param)
	MainMenu.oc:show(false)
	prompt_bkg = CreateWidget(constants.wt_Picture, "pr_wnd", nil, 281, 219, 640, 480)
	WidgetSetSprite(prompt_bkg, "gui")
	WidgetSetAnim(prompt_bkg, "window")
	WidgetSetVisible(prompt_bkg, true)
	prompt = CreateWidget(constants.wt_Label, "pr", nil, 290, 235, 640, 480)
	WidgetSetVisible(prompt, true)
	WidgetSetCaption(prompt, "PRESS")
	WidgetSetCaptionColor(prompt, {1.0, 1.0, 1.0, 1.0}, false)
	WidgetSetCaptionFont(prompt, "default")
	--[[
	if Loader and Loader.state and Loader.state == 'game' then
		waiting_for_key = 1
		wpar = param
		wsender = sender	
	else
		if not MainMenu.LoopThread then MainMenu.LoopThread = NewThread(keyloop) end
		Resume(MainMenu.LoopThread, sender, param)
	end
	--]]
	Loader.param = param
	Loader.sender = sender
	if Loader.missionThread then
		Loader.state = 'keyloop'
	else
		Loader.missionThread = NewThread( Loader.mainLoop );
		Loader.state = 'keyloop'
		Resume(Loader.missionThread);
	end
end

function setVar(sender, param)
	--Log("SETVAR:");
	local value = "FUCKHEAD SHITCUNTS"
	if mapvar==nil then mapvar = {} end
	if mapvar[param.var] == nil then
		value = param.values[1]
	else
		value = mapvar[param.var]
	end
	--if value then Log(">>>>value = "..value); end
	local ii
	local newval = nil
	for ii=1,param.valnum do
		if param.values[ii] == value then
			--Log(">>>>found value!")
			if ii<param.valnum then
				newval = param.values[ii+1]
			else
				newval = param.values[1]
			end	
			break
		end
	end
	if newval == nil then newval = param.values[1] end
	---Log(">>>>newval = "..newval)
	mapvar[param.var] = newval
	WidgetSetCaption(sender, param.caption.." : "..newval)
end

function hideoc(sender)
	MainMenu.oc:show(false)
	MainMenu.mc:show(true)
end

MenuContainer = {}
MenuContainer.__index = MenuContainer

function MenuContainer.create(ff, uff, cf, rcf)
	local a = {}
	setmetatable(a,MenuContainer)
	a.ec = 0
	a.el = {}
	a.pl = {}
	a.vl = {}
	a.fl = {}
	a.ufl = {}
	a.cl = {}
	a.prl = {}
	a.rcl = {}
	a.ff = ff
	a.uff = uff
	a.cf = cf
	a.rcf = rcf
	return a
end

function MenuContainer:add(element, pointer, visibility, focus, unfocus, click, param, rightclick)
	self.ec = self.ec + 1
	self.el[self.ec] = element
	self.pl[self.ec] = pointer
	if visibility == nil then
		self.vl[self.ec] = false
	else
		self.vl[self.ec] = visibility
	end
	self.fl[self.ec] = focus
	self.ufl[self.ec] = unfocus
	self.cl[self.ec] = click
	self.prl[self.ec] = param
	self.rcl[self.ec] = rightclick

	WidgetSetFocusProc(element, self.ff)
	WidgetSetUnFocusProc(element, self.uff)
	WidgetSetLMouseClickProc(element, self.cf)
	WidgetSetRMouseClickProc(element, self.rcf)
end

function MenuContainer:find(element)
	local ii
	for ii=1,self.ec do
		if self.el[ii]==element then
			return ii
		end
	end
	return nil
end

function MenuContainer:clear()
	local ii
	for ii=1,self.ec do
		DestroyWidget(self.el[ii])
		if self.pl[ii] ~= nil then
			DestroyWidget(self.pl[ii])
		end
	end
	self.ec = 0
end

function MenuContainer:setVisible(element, visibility, force)
	local en = self:find(element)
	if en == nil then
		Log("  ,    ( ).")
		return
	end
	if visibility == false or force then
		WidgetSetVisible(self.el[en], visibility)
	end
	self.vl[en] = visibility
end

function MenuContainer:free(element)
	self:setVisible(element, false, true)
--[[
	local en = self:find(element)
	local ii
	if en == nil then
		Log("  ,    ( ).")
		return
	end
	DestroyWidget(self.el[en])
	if self.pl[en] then
		DestroyWidget(self.pl[en])
	end
	for ii=en,self.ec-1 do
		self.el[ii] = self.el[ii+1]
		self.pl[ii] = self.pl[ii+1]
		self.vl[ii] = self.pl[ii+1]
		self.fl[ii] = self.fl[ii+1]
		self.ufl[ii] = self.ufl[ii+1]
		self.cl[ii] = self.cl[ii+1]
		self.prl[ii] = self.prl[ii+1]
		self.rcl[ii] = self.rcl[ii+1]
	end
--]]
end


function MenuContainer:show(state)
	if (state) then
		for ii=1,self.ec do
			WidgetSetVisible(self.el[ii],self.vl[ii])
		end
	else
		for ii=1,self.ec do
			WidgetSetVisible(self.el[ii],false)
			if self.pl[ii] ~= nil then
				WidgetSetVisible(self.pl[ii], false)
			end
		end
	end
end

function mcOnFocus(sender)
	local en = MainMenu.mc:find(sender)
	if en == nil then
		Log("  ,    (onFocus).")
		return
	end
	if MainMenu.mc.pl[en] ~= nil then
		WidgetSetVisible(MainMenu.mc.pl[en], true)
	end
	if MainMenu.mc.fl[en] ~= nil then
		MainMenu.mc.fl[en](sender)
	end
end

function mcOnUnFocus(sender)
	local en = MainMenu.mc:find(sender)
	if en == nil then
		Log("  ,    (onUnFocus).")
		return
	end
	if MainMenu.mc.pl[en] ~= nil  then
		WidgetSetVisible(MainMenu.mc.pl[en], false)
	end
	if MainMenu.mc.ufl[en] ~= nil then
		MainMenu.mc.ufl[en](sender)
	end
end

function mcOnClick(sender)
	local en = MainMenu.mc:find(sender)
	if en == nil then
		Log("  ,    (onClick).")
		return
	end
	if MainMenu.mc.cl[en] ~= nil then
		MainMenu.mc.cl[en](sender, MainMenu.mc.prl[en])
	end
end

function mcOnRClick(sender)
	local en = MainMenu.mc:find(sender)
	if en == nil then
		Log("  ,    (onRClick).")
		return
	end
	if MainMenu.mc.rcl[en] ~= nil then
		MainMenu.mc.rcl[en](sender, MainMenu.mc.prl[en])
	end
end

function ocOnFocus(sender)
	local en = MainMenu.oc:find(sender)
	if en == nil then
		Log("  ,    (onFocus).")
		return
	end
	if MainMenu.oc.pl[en] ~= nil then
		WidgetSetVisible(MainMenu.oc.pl[en], true)
	end
	if MainMenu.oc.fl[en] ~= nil then
		MainMenu.oc.fl[en](sender)
	end
end

function ocOnUnFocus(sender)
	local en = MainMenu.oc:find(sender)
	if en == nil then
		Log("  ,    (onUnFocus).")
		return
	end
	if MainMenu.oc.pl[en] ~= nil  then
		WidgetSetVisible(MainMenu.oc.pl[en], false)
	end
	if MainMenu.oc.ufl[en] ~= nil then
		MainMenu.oc.ufl[en](sender)
	end
end

function ocOnClick(sender)
	local en = MainMenu.oc:find(sender)
	if en == nil then
		Log("  ,    (onClick).")
		return
	end
	if MainMenu.oc.cl[en] ~= nil then
		MainMenu.oc.cl[en](sender, MainMenu.oc.prl[en])
	end
end

function ocOnRClick(sender)
	local en = MainMenu.oc:find(sender)
	if en == nil then
		Log("  ,    (onRClick).")
		return
	end
	if MainMenu.oc.rcl[en] ~= nil then
		MainMenu.oc.rcl[en](sender, MainMenu.oc.prl[en])
	end
end


local function soh_btnOnLClick(sender, param)
	MainMenu.mc:show(false)
	MainMenu.oc:show(false)
	MainMenu.oc:free(rb)
	MainMenu.missionStarter.startGame(param)
end
local function soh_btnOnFocus(sender)
	WidgetSetAnim(sender, "aim")
end
local function soh_btnOnUnFocus(sender)
	WidgetSetAnim(sender, "idle")
end

local function getDiffText()
	if difficulty == 0.5 then 
		return "I'm _tsu young to die."
	elseif difficulty == 2.0 then
		return "Novak-kun mode!"
	else
		return "Just another ktd."
	end
end

local function getDiffColor()
	if difficulty == 0.5 then 
		return {0.2, 1.0, 0.2, 1.0}
	elseif difficulty == 2.0 then
		return {1.0, 0.2, 0.2, 1.0}
	else
		return {1.0, 1.0, 1.0, 1.0}
	end
end

local function setNextDiff()
	if difficulty == 1.0 then
		difficulty = 2.0
	elseif difficulty == 2.0 then
		difficulty = 0.5
	else
		difficulty = 1.0
	end
end

local function setPrevDiff()
	if difficulty == 1.0 then
		difficulty = 0.5
	elseif difficulty == 2.0 then
		difficulty = 1.0
	else
		difficulty = 2.0
	end
end

local function diffup(sender)
	setNextDiff()
	WidgetSetCaption(sender, getDiffText())
	WidgetSetCaptionColor(sender, getDiffColor(), false)
end

local function diffdown(sender)
	setPrevDiff()
	WidgetSetCaption(sender, getDiffText())
	WidgetSetCaptionColor(sender, getDiffColor(), false)
end

local function keypressproc(sender, key)
	if ( key == keys.left ) then
		diffdown(sender)
	elseif ( key == keys.right ) then
		diffup(sender)
	end
end

local function sndkeypress(sender, key)
	if ( key == keys.left ) then
		btnSndLC()
	elseif ( key == keys.right ) then
		btnSndRC()
	end
end

function ShowOptions()
	MainMenu.mc:show(false)
	MainMenu.oc:show(true)
end

function showBorder( sender )
	WidgetSetBorder( sender, true )
	WidgetSetBorderColor( sender, {0, 1, 0, 1}, true )
	WidgetSetBorderColor( sender, {0, 1, 0, 1}, false )
end

function hideBorder( sender )
	WidgetSetBorder( sender, false )
end


function MainMenu.create(missionStarter)
	InitNewGame()
	MainMenu.mc = MenuContainer.create(mcOnFocus, mcOnUnFocus, mcOnClick, mcOnRClick)
	MainMenu.oc = MenuContainer.create(ocOnFocus, ocOnUnFocus, ocOnClick, ocOnRClick)
	
	if (difficulty == nil) then difficulty = 1.0; end

	LoadPrototype("sohchan.lua");
	LoadTexture("slowpoke_ride.png");
	LoadPrototype("slowpoke-ride.lua");
	LoadTexture("release_sign.png");
	LoadPrototype("release_sign.lua");

	LoadTexture("1st_plan.png");
	LoadPrototype("1st_plan.lua");
	LoadTexture("2nd_plan.png");
	LoadPrototype("2nd_plan.lua");
	LoadTexture("3nd_plan.png");
	LoadPrototype("3nd_plan.lua");
	LoadTexture("4nd_plan.png");
	LoadPrototype("4nd_plan.lua");
	LoadTexture("skyline01.png");
	LoadPrototype("skyline.lua");


	LoadTexture("interface.png");
	LoadPrototype("gui.lua");
	LoadTexture("wakabamark.png");
	LoadPrototype("wakaba-widget.lua");

	local rib = CreateRibbon("1st_plan", 615, 230, 0.1);
	SetRibbonZ(rib, -0.1)
	SetRibbonBounds(rib, 43, 0, 0, 0)
	rib = CreateRibbon("2nd_plan", 615, 230, 0.45);
	SetRibbonZ(rib, -0.75)
	SetRibbonBounds(rib, 43, 0, 0, 0)
	rib = CreateRibbon("2nd_plan", 615, 230, 0.3);
	SetRibbonZ(rib, -0.75)
	SetRibbonBounds(rib, 43, 0, 0, 0)
	rib = CreateRibbon("3nd_plan", 615, 230, 0.5);
	SetRibbonZ(rib, -0.8)
	SetRibbonBounds(rib, 43, 0, 0, 0)
	rib = CreateRibbon("4nd_plan", 615, 230, 0.6);
	SetRibbonZ(rib, -0.85)
	SetRibbonBounds(rib, 43, 0, 0, 0)
	rib = CreateRibbon("skyline", 615, 180, 0.7);
	SetRibbonZ(rib, -0.9)
	SetRibbonBounds(rib, 43, 0, 0, 0)

	--rib = CreateRibbon("skyline", 615, 180, 0.65);
	--SetRibbonZ(rib, -0.9)
	--SetRibbonBounds(rib, 43, 0, 0, 0)
	
	StopBackMusic()
	MainMenu.missionStarter = missionStarter
	
		--gui init
	LoadTexture("logo-cold.png");
	LoadPrototype("logo-cold.lua");
	
	--LoadPrototype("logo-hot.lua");
	--LoadTexture("logo-hot.png");

	spr1 = "logo-cold"
	--spr2 = "logo-hot"

	picture = CreateWidget(constants.wt_Picture, "logo", nil, 64, 20, 512, 180)
	WidgetSetSprite(picture, spr1)
	MainMenu.mc:add(picture, nil, true, nil, nil, nil, nil)
		
	--------------------------------------------
	--------------------------------------------

	local menu_bkg = CreateWidget(constants.wt_Picture, "menu_bkg", nil, 190, 210, 218, 244)
	WidgetSetVisible(menu_bkg, true)
	WidgetSetSprite(menu_bkg, "gui")
	WidgetSetAnim(menu_bkg, "menu_bkg")
	MainMenu.mc:add(menu_bkg, nil, true)


	pointer = CreateWidget(constants.wt_Picture, "pointer", nil, 220, 235, 10, 10)
	WidgetSetSprite(pointer, "wakaba-widget")
	WidgetSetAnim(pointer, "idle")
	WidgetSetVisible(pointer, false)
	lbl = CreateWidget(constants.wt_Button, "label", nil, 256, 240, 168, 10)
	WidgetSetCaption(lbl, "STORY MODE")
	WidgetSetCaptionColor(lbl, {.8, 1.0, .8, 1.0}, true)
	WidgetSetCaptionColor(lbl, {0.0, 0.5, 1.0, 1.0}, false)
	MainMenu.mc:add(lbl, pointer, true, nil, nil, soh_btnOnLClick, "nymapscript")

	pointer = CreateWidget(constants.wt_Picture, "pointer", nil, 215, 250, 10, 10)
	WidgetSetSprite(pointer, "wakaba-widget")
	WidgetSetAnim(pointer, "idle")
	WidgetSetVisible(pointer, false)
	lbl = CreateWidget(constants.wt_Button, "label", nil, 246, 255, 168, 10)
	WidgetSetCaption(lbl, "SURVIVAL MODE")
	WidgetSetCaptionColor(lbl, {.8, 1.0, .8, 1.0}, true)
	WidgetSetCaptionColor(lbl, {0.0, 0.5, 1.0, 1.0}, false)
	MainMenu.mc:add(lbl, pointer, true, nil, nil, soh_btnOnLClick, "survivalscript")

	lbl = CreateWidget(constants.wt_Label, "label", nil, 261, 295, 168, 10)
	WidgetSetCaption(lbl, "DIFFICULTY:")
	WidgetSetCaptionColor(lbl, {0.5, 0.5, 0.5, 1.0}, false)
	MainMenu.mc:add(lbl, pointer, true)

	pointer = CreateWidget(constants.wt_Picture, "pointer", nil, 206, 305, 10, 10)
	WidgetSetSprite(pointer, "wakaba-widget")
	WidgetSetAnim(pointer, "idle")
	WidgetSetVisible(pointer, false)
	dwidget = CreateWidget(constants.wt_Button, "diff", nil, 226, 310, 150, 10)
	WidgetSetCaption(dwidget, getDiffText())
	WidgetSetCaptionColor(dwidget, getDiffColor(), false)
	--WidgetSetLMouseClickProc(dwidget, diffup)
	WidgetSetRMouseClickProc(dwidget, diffdown)
	WidgetSetKeyPressProc(dwidget, keypressproc)
	MainMenu.mc:add(dwidget, pointer, true, nil, nil, diffup, nil)
	
	pointer = CreateWidget(constants.wt_Picture, "pointer", nil, 254, 395, 10, 10)
	WidgetSetSprite(pointer, "wakaba-widget")
	WidgetSetAnim(pointer, "idle")
	WidgetSetVisible(pointer, false)
	exit_btn = CreateWidget(constants.wt_Button, "exit_btn", nil, 274, 400, 70, 10)
	WidgetSetCaption(exit_btn, "OPTIONS")
	WidgetSetCaptionColor(exit_btn, {1.0, 1.0, 1.0, 1.0}, true)
	WidgetSetCaptionColor(exit_btn, {1.0, 1.0, 0.5, 1.0}, false)
	MainMenu.mc:add(exit_btn, pointer, true, nil, nil, ShowOptions, nil)


	pointer = CreateWidget(constants.wt_Picture, "pointer", nil, 259, 410, 10, 10)
	WidgetSetSprite(pointer, "wakaba-widget")
	WidgetSetAnim(pointer, "idle")
	WidgetSetVisible(pointer, false)
	exit_btn = CreateWidget(constants.wt_Button, "exit_btn", nil, 269, 415, 70, 10)
	--WidgetSetBorder(exit_btn, true)
	WidgetSetCaption(exit_btn, "     EXIT")
	WidgetSetCaptionColor(exit_btn, {1.0, 0.0, 0.0, 1.0}, true)
	WidgetSetCaptionColor(exit_btn, {.8, .3, .3, 1.0}, false)
	MainMenu.mc:add(exit_btn, pointer, true, nil, nil, ExitGame, nil)


	local menu_bkg = CreateWidget(constants.wt_Picture, "menu_bkg", nil, 206, 130, 218, 244)
	WidgetSetVisible(menu_bkg, false)
	WidgetSetSprite(menu_bkg, "gui")
	WidgetSetAnim(menu_bkg, "menu_bkg")
	MainMenu.oc:add(menu_bkg, nil, true)

	local bkg_sound = CreateWidget(constants.wt_Picture, "bkg_snd", nil, 233, 146, 160, 16)
	WidgetSetVisible(bkg_sound, false)
	WidgetSetSprite(bkg_sound, "gui")
	WidgetSetAnim(bkg_sound, "snd_bkg")
	WidgetSetFocusable(bkg_sound, false)
	MainMenu.oc:add(bkg_sound, nil, true, nil, nil, btnSndLC,  nil, btnSndRC)

	btn_sound = CreateWidget(constants.wt_Button, "btn_snd", nil, 234, 147, 160, 16)
	WidgetSetVisible(btn_sound, false)
	WidgetSetSprite(btn_sound, "gui")
	WidgetSetAnim(btn_sound, "snd_main")
	WidgetSetFocusable(btn_sound, true)
	WidgetSetKeyPressProc(btn_sound, sndkeypress)
	MainMenu.oc:add(btn_sound, nil, true, showBorder, hideBorder, btnSndLC, nil, btnSndRC)
	sndblocks = {}
	for i=1,9 do
		sndblocks[i] = CreateWidget(constants.wt_Button, "snd"..i, nil, 234+i*16, 147, 16, 16)
		WidgetSetVisible(sndblocks[i], false)
		WidgetSetSprite(sndblocks[i], "gui")
		WidgetSetFocusable(sndblocks[i], false)
		WidgetSetAnim(sndblocks[i], "snd_block")
		MainMenu.oc:add(sndblocks[i], nil, true, nil, nil, btnSndLC, nil, btnSndRC)
		--WidgetSetLMouseClickProc(sndblocks[i], btnSndLC)
		--WidgetSetRMouseClickProc(sndblocks[i], btnSndRC)
	end


	ConfigButtonCreate("left", 233, 179, 160, 10, "LEFT")
	ConfigButtonCreate("right", 233, 189, 160, 10, "RIGHT")
	ConfigButtonCreate("up", 233, 199, 160, 10, "UP")
	ConfigButtonCreate("down", 233, 209, 160, 10, "DOWN")
	ConfigButtonCreate("fire", 233, 219, 160, 10, "SHOOT")
	ConfigButtonCreate("sit", 233, 229, 160, 10, "CROUCH")
	ConfigButtonCreate("change_weapon", 233, 239, 160, 10, "WEAPON")
	ConfigButtonCreate("change_player", 233, 249, 160, 10, "CHARACTER")
	ConfigButtonCreate("jump", 233, 259, 160, 10, "JUMP")
	ConfigButtonCreate("gui_nav_next", 233, 269, 160, 10, "MENU NEXT")
	ConfigButtonCreate("gui_nav_prev", 233, 279, 160, 10, "MENU BACK")
	ConfigButtonCreate("gui_nav_accept", 233, 289, 160, 10, "ACCEPT")
	ConfigButtonCreate("gui_nav_decline", 233, 299, 160, 10, "CANCEL")

	wp = CreateWidget(constants.wt_Picture, "pointer", nil, 233-20, 314, 10, 10)
	WidgetSetSprite(wp, "wakaba-widget")
	WidgetSetAnim(wp, "idle")
	WidgetSetVisible(wp, false)
	widget = CreateWidget(constants.wt_Button, "snow", nil, 233, 319, 309, 10)
	WidgetSetVisible(widget, false)
	WidgetSetCaption(widget, "WEATHER : FULL")
	WidgetSetCaptionColor(widget, {1.0, 1.0, 1.0, 1.0}, false)
	WidgetSetCaptionColor(widget, {0.2, 1.0, 0.2, 1.0}, true)
	WidgetSetCaptionFont(widget, "default")
	local para = {}
	para.caption = "WEATHER"
	para.var = "snowmode"
	para.valnum = 3
	para.values = { "FULL", "PART", "OFF" }
	MainMenu.oc:add(widget, wp, true, nil, nil, setVar, para )

	
	wp = CreateWidget(constants.wt_Picture, "pointer", nil, 213, 340, 10, 10)
	WidgetSetSprite(wp, "wakaba-widget")
	WidgetSetAnim(wp, "idle")
	WidgetSetVisible(wp, false)
	rb = CreateWidget(constants.wt_Button, "resume_button", nil, 233, 345, 70, 10)
	WidgetSetVisible(rb, false)
	WidgetSetCaption(rb, "RETURN")
	MainMenu.oc:add(rb, wp, true, nil, nil, hideoc, nil)


	


	slow = 0;
	slow = CreateEnemy( "slowpoke-ride", 0, 355 );
	sign = CreateSprite("release_sign", 40, 300);
	ObjectPushInt(slow, sign);
	--SetCamAttachedObj(0);
	--CamMoveToPos(0, -150);
	SetCamObjOffset(-200, 50);
	SetCamAttachedObj(slow);		--    
	SetCamAttachedAxis(true, true);		--      X
	SetCamAttachedAxis(true, false);		--      X
	SetCamObjOffset(-200, 150);
	SetCamUseBounds(false)

	stoploop = false;
end

function keyloop(sender, param)
		Wait(1)
		--Log("I'M A SHARK")
		key = GetFirstButtonPressed()
		if key ~= nil then
			CONFIG[param.button] = key
			LoadConfig()
			WidgetSetCaption(sender, param.caption.." : "..GetKeyName(key))
			DestroyWidget(prompt_bkg)
			DestroyWidget(prompt)
			MainMenu.oc:show(true)
			SaveConfig()
			key = nil
			Loader.state = ''
		end
end

function MainMenu.destroy()
	DestroyWidget(soh_btn)
	DestroyWidget(lbl)
	DestroyWidget(picture)
	DestroyWidget(exit_btn)
	DestroyWidget(dwidget)
end
return MainMenu
